import { request } from '@umijs/max';

// 查询数据集、模型分类
export function getAssetIcon(params) {
  return request(`/api/mmp/assetIcon`, {
    method: 'GET',
    params,
  });
}

// ----------------------------数据集---------------------------------

// 分页查询数据集列表
export function getDatasetList(params) {
  return request(`/api/mmp/newdataset/queryDatasets`, {
    method: 'GET',
    params,
  });
}

// 查询数据集详情
export function getDatasetInfo(params) {
  return request(`/api/mmp/newdataset/getDatasetDetail`, {
    method: 'GET',
    params,
  });
}

// 新增数据集
export function addDataset(data) {
  return request(`/api/mmp/newdataset/addDatasetAndVersion`, {
    method: 'POST',
    data,
  });
}

// 删除数据集
export function deleteDataset(params) {
  return request(`/api/mmp/newdataset/deleteDataset`, {
    method: 'DELETE',
    params,
  });
}

// 查询数据集版本列表
export function getDatasetVersionList(params) {
  return request(`/api/mmp/newdataset/getVersionList`, {
    method: 'GET',
    params,
  });
}

// 新增数据集版本
export function addDatasetVersion(data) {
  return request(`/api/mmp/newdataset/addVersion`, {
    method: 'POST',
    data,
  });
}

// 下载数据集所有文件
export function downloadAllFiles(params) {
  return request(`/api/mmp/newdataset/downloadAllFiles`, {
    method: 'GET',
    params,
  });
}

// 删除数据集版本
export function deleteDatasetVersion(params) {
  return request(`/api/mmp/newdataset/deleteDatasetVersion`, {
    method: 'DELETE',
    params,
  });
}

// 数据集版本对比
export function compareDatasetVersion(data) {
  return request(`/api/mmp/newdataset/getVersionsCompare`, {
    method: 'POST',
    data,
  });
}

// ----------------------------模型---------------------------------

// 分页查询模型列表
export function getModelList(params) {
  return request(`/api/mmp/newmodel/queryModels`, {
    method: 'GET',
    params,
  });
}

// 新增模型
export function addModel(data) {
  return request(`/api/mmp/newmodel/addModel`, {
    method: 'POST',
    data,
  });
}

// 删除模型
export function deleteModel(params) {
  return request(`/api/mmp/newmodel/delete`, {
    method: 'DELETE',
    params,
  });
}

// 查询模型详情
export function getModelInfo(params) {
  return request(`/api/mmp/newmodel/getModelDetail`, {
    method: 'GET',
    params,
  });
}

// 查询模型版本列表
export function getModelVersionList(params) {
  return request(`/api/mmp/newmodel/getVersionList`, {
    method: 'GET',
    params,
  });
}

// 新增模型版本
export function addModelVersion(data) {
  return request(`/api/mmp/newmodel/addVersion`, {
    method: 'POST',
    data,
  });
}

// 删除模型版本
export function deleteModelVersion(params) {
  return request(`/api/mmp/newmodel/deleteVersion`, {
    method: 'DELETE',
    params,
  });
}

// 获取模型依赖
export function getModelAtlasReq(params) {
  return request(`/api/mmp/newmodel/getModelDependencyTree`, {
    method: 'GET',
    params,
  });
}

// 实验结果导出到模型
export function exportModelReq(data) {
  return request(`/api/mmp/models/exportModel`, {
    method: 'POST',
    data,
  });
}

// 分页查询模型所有版本，带有参数和指标数据
export function getModelPageVersionsReq(params) {
  return request(`/api/mmp/newmodel/queryVersions`, {
    method: 'GET',
    params,
  });
}

// 获取模型版本指标对比
export function getModelVersionsMetricsReq(data) {
  return request(`/api/mmp/newmodel/queryVersionsMetrics`, {
    method: 'POST',
    data,
  });
}

// 模型版本对比
export function compareModelVersion(data) {
  return request(`/api/mmp/newmodel/getVersionsCompare`, {
    method: 'POST',
    data,
  });
}

// 删除上传的文件
export function deleteUploadFileReq(params) {
  return request(`/api/mmp/newdataset/deleteFile`, {
    method: 'DELETE',
    params,
  });
}


// 点赞
export function praiseResourceReq(id) {
  return request(`/api/mmp/newmodel/praise/${id}`, {
    method: 'POST',
  });
}

// 取消点赞
export function unpraiseResourceReq(id) {
  return request(`/api/mmp/newmodel/unpraise/${id}`, {
    method: 'DELETE',
  });
}